rr_struct Struct Reference

`#include <rrset.h>`

## Data Fields

ldns_rr * | rr
domain_type * | owner
unsigned | exists: 1
unsigned | is_added: 1
unsigned | is_removed: 1

## Detailed Description

Definition at line 51 of file rrset.h.

## Field Documentation

## exists

unsigned rr_struct::exists

Definition at line 54 of file rrset.h.

Referenced by domain_rollback(), namedb_wipe_denial(), rrset_add_rr(), rrset_diff(), rrset_print(), and zone_rollback_nsec3param().

## is_added

unsigned rr_struct::is_added

Definition at line 55 of file rrset.h.

Referenced by domain_rollback(), rrset_add_rr(), rrset_count_rr_is_added(), rrset_diff(), rrset_lookup_ttl(), zone_add_rr(), and zone_del_rr().

## is_removed

unsigned rr_struct::is_removed

Definition at line 56 of file rrset.h.

Referenced by domain_rollback(), rrset_add_rr(), rrset_diff(), zone_add_rr(), zone_del_nsec3params(), and zone_del_rr().

## owner

domain_type* rr_struct::owner

Definition at line 53 of file rrset.h.

Referenced by denial_add_rr(), rrset_add_rr(), rrset_cleanup(), and rrset_del_rr().

## rr

ldns_rr* rr_struct::rr

Definition at line 52 of file rrset.h.

Referenced by denial_add_rr(), namedb_wipe_denial(), rrset_add_rr(), rrset_cleanup(), rrset_del_rr(), rrset_diff(), rrset_lookup_rr(), rrset_lookup_ttl(), rrset_print(), rrset_sign(), zone_add_rr(), zone_publish_dnskeys(), zone_rollback_nsec3param(), and zone_update_serial().

The documentation for this struct was generated from the following file:

- src/signer/rrset.h